Bug 197038 - CPU Freq Scaling broken with kernel 2.6.17-1.2139_FC5
CPU Freq Scaling broken with kernel 2.6.17-1.2139_FC5
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-28 04:56 EDT by James Allerton-Austin
Modified: 2015-01-04 17:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:41:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Allerton-Austin 2006-06-28 04:56:27 EDT
Description of problem:

CPU Frequency Scaling is cited as "unsupported" when booting using Dell D600


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot laptop with latest kernel and patches.
2. Login as any user
Actual results:

Dialogue appears to inform that CPU Frequency scaling is not supported.

Expected results:

CPU Frequency scaling is supported.

Additional info:

During the boot cycle with 2133 and 2139, the microcode_ctl module fails to load
. The /sys/devices/system/cpu/cpu0 directory contains only a "crash_notes" file.
(In 2122 it contained CPU frequency details as well as a crash_notes file, but I
guess that's another issue).

The cpuspeed service quietly fails to start on startup due to the script
/etc/rc.d/init.d/cpuspeed checking for the file

When the Gnome CPU Frequency Monitor applet starts, it reports no frequency
scaling support.
Comment 1 Dave Jones 2006-07-25 23:14:20 EDT
please attach the output of dmesg.
Comment 2 Dave Jones 2006-10-16 15:19:02 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Jon Stanley 2008-01-19 23:41:05 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.